Overview


The /crd/{hook_id} API retrieves the list of available Clinical Decision Support (CDS) services from the discovery endpoint based on the CDS hooks specification. The API determines whether prior authorization is required and if it retrieves coverage details for a requested service using FHIR-based CDS hooks.

Parameters

ParameterDescription
hook_idThe CDS hook being invoked, returned by the CDS Services Discovery. Select the relevant value, supported values include order-sign, order-dispatch, and appointment-book (required). CDS Hook identifier.
context object
draftOrders >> BUNDLEA HL7 FHIR R4 Bundle containing one or more draft clinical orders being evaluated by the CRD service. The Bundle is supplied by the calling CDS Hooks client (typically an EHR system) and commonly contains ServiceRequest resources representing procedures, imaging studies, laboratory tests, or other services requiring coverage review. Those orders are often packaged in a Bundle and passed to the CDS Hooks service (required).
encounterIdThe FHIR Encounter.id associated with the current patient visit, appointment, admission, or clinical interaction in which the order is being placed. Supplied by the calling EHR system when available (optional).
patientIdID of the patient being evaluated (required).
userIdOrdering provider (required).
FHIRAUTHORIZATION fieldsOAuth 2.0 authorization information provided by the calling CDS Hooks client. When included, all fields within the object are required. This authorization can be used by the CRD service to access the caller's FHIR server for additional clinical information. This is separate from the Bearer token used to authenticate requests to the Coverage Requirement Discovery API (required).
hookCDS Hook identifier. Must match the value supplied in the request body's hook_id field as mentioned above.
hookInstanceA unique UUID generated by the CDS Hooks client for each invocation of a CDS Hook, for example, 550e8400-e29b-41d4-a716-446655440000. The value can be used for request correlation, auditing, troubleshooting, and idempotency. Each request should provide a unique hookInstance value.
Headers
x-mock-scenarioUsed in sandbox environments to return predefined mock responses instead of real backend processing.
x-optum-trace-idUnique identifier used to trace and correlate requests across Optum systems for troubleshooting and support.
Release NoteFAQs
View the API Release Notes for information about the API.—